V1PartnerTenantsTenantidReward offersId
Save a reward draft with a JPEG, PNG or WebP image; never publishes
Image base64 decodes to at most 2 MiB and 24 million pixels. The server strips metadata and re-encodes a static WebP. Keep the same id on initial-create retry. Submitted and published offers cannot be edited.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidid*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/reward-offers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "expectedVersion": 0, "definition": { "title": "string", "summary": "string", "rules": "string", "kind": "product", "deliveryKind": "physical_gift", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "redeemBy": "2019-08-24T14:15:22Z", "timezone": "string", "stockTotal": 1, "reservationTtlSeconds": 60 } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "merchantName": "string", "title": "string", "kind": "product", "status": "draft", "version": -9007199254740991, "updatedAt": "2019-08-24T14:15:22Z", "stockTotal": -9007199254740991, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "reviewNote": "string", "definition": { "title": "string", "summary": "string", "rules": "string", "kind": "product", "deliveryKind": "physical_gift", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "redeemBy": "2019-08-24T14:15:22Z", "timezone": "string", "stockTotal": 1, "reservationTtlSeconds": 60 }, "imageDataUrl": "string"}